summarylogtreecommitdiffstats
path: root/c89
diff options
context:
space:
mode:
authorDaniel Kozak2019-08-07 14:27:34 +0200
committerDaniel Kozak2019-08-07 14:27:34 +0200
commitb8e0c3abea23e7f865ed6fb3bb86bad1dd94adb9 (patch)
tree4ef05f00373c851fd83440479b1cbea1abd5fb13 /c89
downloadaur-gdc-static.tar.gz
initial commit
Diffstat (limited to 'c89')
-rw-r--r--c8910
1 files changed, 10 insertions, 0 deletions
diff --git a/c89 b/c89
new file mode 100644
index 000000000000..35486ea83ed4
--- /dev/null
+++ b/c89
@@ -0,0 +1,10 @@
+#!/bin/sh
+fl="-std=c89"
+for opt; do
+ case "$opt" in
+ -ansi|-std=c89|-std=iso9899:1990) fl="";;
+ -std=*) echo "`basename $0` called with non ANSI/ISO C option $opt" >&2
+ exit 1;;
+ esac
+done
+exec gcc $fl ${1+"$@"}